Skip to main content
`Ctrl`+`K`

# TSSundialsGetPC

Extract the PC context from a time-step context for `TSSUNDIALS`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsGetPC(TS ts, PC *pc)

## Input Parameter

- ts - the time-step context

## Output Parameter

- pc - the preconditioner context

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsGetIterations()`, `TSSundialsSetType()`, `TSSundialsSetMaxl()`, `TSSundialsSetLinearTolerance()`, `TSSundialsSetGramSchmidtType()`, `TSSundialsSetTolerance()`

## Level

advanced

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsGetPC_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages